Zyxel 660HW-I wireless router Black

Zyxel 660HW-I wireless router Black

Model 660HW-IPart no. 3612

40 specifications
  • Speed0.125 Gbit/s
  • ConnectivityADSL, ADSL2, ADSL2+
  • Weight325 g
  • ColourBlack
  • Ethernet LANYes
  • Ethernet LAN (RJ-45) ports4
See all specifications

Overview

Speed
0.125 Gbit/s
Connectivity
ADSL, ADSL2, ADSL2+
Weight
325 g
Colour
Black
Ethernet LAN
Yes
Ethernet LAN (RJ-45) ports
4
Brand
Zyxel
Model
660HW-I
Part number
3612
Also known as
Zyxel 660HW-I wireless router Black

Specifications

40 specifications in 12 groups

Network

SpecificationValue
Ethernet LANYes
Networking standardsIEEE 802.11g
Supports ISDN connectionNo
VPN supportIPSec, PPTP

DSL features

SpecificationValue
ADSLYes
DSL specificationANSI T1.413 Issue 2, ITU G.992.1 G.dmt, ITU G.992.2 G.lite, ITU G.994.1 G.hs, ITU ADSL2 G.992.3, G.992.4, ITU ADSL2+ G.992.5, ADSL (RE ADSL)

Ports & interfaces

SpecificationValue
Ethernet LAN (RJ-45) ports4
RJ-11 ports quantity1

Management features

SpecificationValue
Web-based managementYes
Quality of Service (QoS) supportYes
Reset buttonYes

Security

SpecificationValue
Security algorithmsTKIP, WPA, WPA-PSK, WPA2
Authentication methodRADIUS
Firewall securityDistributed Denial of Service (DDoS) prevention
DoS attack preventionYes
FilteringYes
MAC address filteringYes
DMZ supportYes

Protocols

SpecificationValue
DHCP clientYes
DHCP serverYes
Universal Plug and Play (UPnP)Yes
Management protocolsSNMP, Telnet, FTP/TFTP, VPN (IPSec, PPTP)

Design

SpecificationValue
Product colourBlack
Indication lightYes
LED indicatorsYes

Certificates

SpecificationValue
CertificationFCC, CE

Antenna

SpecificationValue
Antennas quantity1

Operational conditions

SpecificationValue
Operating relative humidity (H-H)20 - 85%
Operating temperature (T-T)0 - 40 °C
Storage relative humidity (H-H)20 - 90%
Storage temperature (T-T)-20 - 60 °C

Weight & dimensions

SpecificationValue
Weight325 g

Other features

SpecificationValue
Dimensions (WxDxH)180 x 128 x 36 mm
InterfaceADSL, ADSL2, ADSL2+
Management platformTelnet, FTP/TFTP
Maximum data transfer rate0.125 Gbit/s
Power requirements12V AC, 1A
WLAN data transfer rates supported54 Mbit/s
xDSL connectionYes
ATM featuresUNI 3.1/4.0, RFC 1483/2684, RFC 2364 PPP, RFC 2516 PPP, ATM QoS UBR,CBR,VBR, I.610 OAM F4/F5 Loop-back, AIS, RDI OAM Cells

What people say

Reviews & ratings

Zyxel 660HW-I wireless router Black

No reviews yet

Be the first to tell others how Zyxel 660HW-I wireless router Black works for you.

Write the first review
  • Every rating countsLow ratings are never hidden, removed or pushed down.
  • Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
  • Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.

Your review

Share your experience

How does Zyxel 660HW-I wireless router Black work for you? A few honest sentences help others choose — it takes a minute.

Your rating

No account or e-mail. Only your review and the name you choose are kept.

Reviews are written by visitors; we do not check purchases. We remove spam, advertising and abuse — never a review for its rating.

Compare Zyxel 660HW-I wireless router Black

All wireless router comparisons

Similar products

All wireless routers